using System;

internal sealed class Delegate679 : MulticastDelegate
{
	public extern bool Invoke(string string_0, ref bool bool_0);

	public static bool smethod_0(string string_0, ref bool bool_0, Delegate679 delegate679_1)
	{
		return delegate679_1(string_0, ref bool_0);
	}

	public extern Delegate679(object object_0, IntPtr intptr_0);

	static Delegate679()
	{
		Class10.smethod_13(typeof(Delegate679).TypeHandle);
	}

	internal static Delegate679 delegate679_0;
}
